Gimp breaks Nicotine?

Help
Pierre
2005-11-16
2013-04-22
  • Pierre

    Pierre - 2005-11-16

    Hi,

    I try to launch Nicotine but get this error:

    2005-11-16 22:34:09.494 open[521] Couldn't open file: /tmp/pierrelarsson-x11-getdisplay

    I contacted the package creator who said:

    It looks like Nicotine.app is using outdated version of my scripts
    from Gimp.app. You might want to mention this to the author of
    Nicontine.app. I'd never heard of this app until just now.

    l8r
    Aaron

    On 11/5/05, Pierre Larsson wrote:
    > Hi Aaron,
    >
    > I get this error when I try to load nicotine:
    >
    > $ ./Nicotine
    > 2005-11-05 11:37:02.277 open[1056] Couldn't open file:
    > /tmp/pierrelarsson-getdisplay-1051
    > Could not get display!
    > pierre-larssons-mac-mini:/Applications/Nicotine.app/Contents/MacOS
    > pierrelarsson$
    >
    > I'm running:
    >
    > Darwin pierre-larssons-mac-mini.local 8.3.0 Darwin Kernel Version 8.3.0: Mon
    > Oct  3 20:04:04 PDT 2005; root:xnu-792.6.22.obj~2/RELEASE_PPC Power
    > Macintosh powerpc
    >
    > What X11 are you running?
    >
    > Cheers,
    > Pierre
    >
    >

     
    • Nobody/Anonymous

      Nicotine also crashes right after startup on my system - I also have Gimp installed...

      Here's the console-text:

      Nicotine supports "psyco", an inline optimizer for python
      code, you can get it at http://sourceforge.net/projects/psyco/
      Traceback (most recent call last):
        File "sw/bin/nicotine", line 142, in ?
          result = checkenv()
        File "sw/bin/nicotine", line 68, in checkenv
          import gtk
        File "/Users/vasi/Hacking/fink-apps/Nicotine/Nicotine.app/Contents/Resources/sw/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py", line 33, in ?
      ImportError: dlopen(/Applications/Nicotine.app/Contents/Resources/sw/lib/python2.3/site-packages/gtk-2.0/gobject.so, 2): no suitable image found.  Did find:
          /Applications/Nicotine.app/Contents/Resources/sw/lib/python2.3/site-packages/gtk-2.0/gobject.so: mach-o, but wrong architecture

      ---------------------------

      Can anyone help me with this?

       

Log in to post a comment.